Bumping to 1.8.7, removing old version and moving out of /opt.
authorBjarke Istrup Pedersen <gurligebis@gentoo.org>
Wed, 28 Dec 2011 20:25:49 +0000 (20:25 +0000)
committerBjarke Istrup Pedersen <gurligebis@gentoo.org>
Wed, 28 Dec 2011 20:25:49 +0000 (20:25 +0000)
Thanks to everybody who helped out. Fixing bug #395089

Package-Manager: portage-2.2.0_alpha83/cvs/Linux i686

net-irc/anope/ChangeLog
net-irc/anope/Manifest
net-irc/anope/anope-1.8.5.ebuild [deleted file]
net-irc/anope/anope-1.8.7.ebuild [new file with mode: 0644]
net-irc/anope/files/anope-1.8.7-ldflags-fix.patch [moved from net-irc/anope/files/ldflags-fix.patch with 80% similarity]
net-irc/anope/files/anope-1.8.7-libdir-gentoo.patch [new file with mode: 0644]
net-irc/anope/files/anope-conf.d [moved from net-irc/anope/files/anope.confd with 52% similarity]
net-irc/anope/files/anope-init.d [new file with mode: 0644]
net-irc/anope/files/anope.initd [deleted file]

index 08e118cc638d242e94d8c3fcc25cfc94906091b0..7ece6391ca9c0189afbe99b21b014c6ecc695bd8 100644 (file)
@@ -1,6 +1,16 @@
 # ChangeLog for net-irc/anope
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-irc/anope/ChangeLog,v 1.18 2011/01/18 21:34:37 gurligebis Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-irc/anope/ChangeLog,v 1.19 2011/12/28 20:25:48 gurligebis Exp $
+
+*anope-1.8.7 (28 Dec 2011)
+
+  28 Dec 2011; <gurligebis@gentoo.org> -anope-1.8.5.ebuild,
+  +anope-1.8.7.ebuild, +files/anope-1.8.7-ldflags-fix.patch,
+  +files/anope-1.8.7-libdir-gentoo.patch, +files/anope-conf.d,
+  +files/anope-init.d, -files/anope.confd, -files/anope.initd,
+  -files/ldflags-fix.patch:
+  Bumping to 1.8.7, removing old version and moving out of /opt.
+  Thanks to everybody who helped out. Fixing bug #395089
 
   18 Jan 2011; <gurligebis@gentoo.org> files/ldflags-fix.patch:
   Fixing patch to work with portage-multilib, fixing bug #351414
index 5fc253a9021b7d36eb10196677f0a097bf92464e..ff960c0b65ab0ec373ffde5f0a762ff40ad0e39a 100644 (file)
@@ -1,18 +1,19 @@
 -----BEGIN PGP SIGNED MESSAGE-----
 Hash: SHA1
 
-AUX anope.confd 319 RMD160 0c5d646bfa55a17a32b9438c79abae6fce8a3edc SHA1 e19f46901bf4c79d79c8dc55cb84973c9d136730 SHA256 c2a9351942865763e6fdeaa9c37be28efb23f788dc9041439ca80b7d60d1c4f4
-AUX anope.initd 575 RMD160 59f2759c0b3918f4d510c4f5f738dc40e079a511 SHA1 4669ee3d2eec9251b763438e0627f7152b5afc5a SHA256 bf510cb3eb2c9839630f834bc2730c6b4d3da9a7d9a671b02eefefad5f39ed1d
-AUX ldflags-fix.patch 1382 RMD160 f861379e18ab982dec506b0b8bcd0cf2055fe7fd SHA1 0f4878628d57fe13de220697cff8a1d2047723fe SHA256 0b489d4d8977a19f199a1c2e2ad8fb8862e1d98ebacadabe2383773703bcd8fa
+AUX anope-1.8.7-ldflags-fix.patch 1715 RMD160 a580eef6bf96f25b5d80bde4ecd3a5364c86a9d5 SHA1 671dcb1242a884cf0e51fe7991a035ff22383fc5 SHA256 49c20cf2dc85d1a9b86b0876f27f5da37a26b2fbb2bd3666155d529d7129db6c
+AUX anope-1.8.7-libdir-gentoo.patch 2584 RMD160 4ce79cb7e08f254da11f25609adc2b39cbf2302c SHA1 0bf5709b1da0caeb1f9d000372d1e0ba99aa04e6 SHA256 e639064792827b2797f1ca21865146c880720d844f1aa3d4725484c5e2c7772c
+AUX anope-conf.d 320 RMD160 6f0bac89fbf801eef2125418394b10221554ef31 SHA1 56050f88a8155dc98400f8c626f57f5487958377 SHA256 e78db9ffa9a79141de513c2b0b0bb08e8e80c63fc957e9cd9377577a389ca63e
+AUX anope-init.d 814 RMD160 4353d76ede4250a6aada052b7b6c30f9dce3578d SHA1 6b3aec185f47692d7f9773c5e3a422de40ec9cd0 SHA256 4dca225c99e6237a00fe0a36163e7d456f43f0c32174cee09a076194a793b953
 AUX pid-patch.diff 450 RMD160 d18ab894895db105c91d0d1e24af2aff79f1bd13 SHA1 87be4165d15dbc6bfc972972d588e127ab492135 SHA256 cd3f266cd236e6a5bb7d15b502631e8992289455f7e308d94ac14e3b13314dc5
-DIST anope-1.8.5.tar.gz 1611464 RMD160 4a7b21f4cae233c4630938ebda3a6f437a2fd569 SHA1 3bca790acf50ce07bd53cf57d38fc353e945152f SHA256 a0bf5fc771910b7cc923f55ffe39f0a9cf2f6973675a8f2c021cb4c4ee1fe433
-EBUILD anope-1.8.5.ebuild 4117 RMD160 393c1814bb076964d81b2782af54362b26ce0e66 SHA1 f921340026a275bba99ba9f3e701dcd159de7171 SHA256 5f967399445299f0569a2dd4c21ed2fe8ea7ba181687398d78f382e4125d7537
-MISC ChangeLog 2750 RMD160 6ee2f8d9eea81a2fe87d329414082bb9a2fe1442 SHA1 9ea3a06b4b842e825a77d93a2a249d1cbeb58eb6 SHA256 5cd7a1da598c1968c4ae94835853bb09841220e34f2bc70bcbade32f792ec790
+DIST anope-1.8.7.tar.gz 1586164 RMD160 38592effb02f10c4ded01cc1f05e6a0828934924 SHA1 95c162e96440fb1813e48c7b27ac2b82e3b9bffb SHA256 804516153936b1147a79960a283229191d29e1d9162c3ec70d86d099ee04447b
+EBUILD anope-1.8.7.ebuild 3445 RMD160 df94e1d48813076fa0a2ff5a33778b668f11a4c4 SHA1 7704b1e2f1a6aad8a7785ab24fa9d3c5cf748e7e SHA256 2c2d593e2040bd7d37636009127b2ae2542f549b590b81a8da99580371807e94
+MISC ChangeLog 3176 RMD160 577c021a3eb7457044941d7f9fcad51180d11a3f SHA1 5dd8a5144c96c5cea6f1fad833f2d82e55000eef SHA256 50db5d6249f2c26a11e7db394840efd85b8277ba07cd13036f8c785b1b8415f0
 MISC metadata.xml 322 RMD160 4ac585786fcb58a92771bd8ee9f71f4738e64798 SHA1 133d8c37c5ab6d5366948f3de3e18c5a7a230ed4 SHA256 4240b9effe8d7796234c47e4f4af9ef4250bcfcafa9ec09e4b6a4a503de10b71
 -----BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.16 (GNU/Linux)
+Version: GnuPG v2.0.18 (GNU/Linux)
 
-iEYEARECAAYFAk02B1YACgkQsR7PQhRXYEnC+wCeN63MRe04wv+IOU738qT4vm70
-MMwAn0KYXGedbH2uHnQtApw22aOlonF7
-=cajp
+iEYEARECAAYFAk77ezoACgkQsR7PQhRXYEndAACbB92qo/ylXBstmu96EsRXAAa2
+hpMAoIIURkWJgRVX13ZIMNec62JC9hyJ
+=Dk5U
 -----END PGP SIGNATURE-----
diff --git a/net-irc/anope/anope-1.8.5.ebuild b/net-irc/anope/anope-1.8.5.ebuild
deleted file mode 100644 (file)
index dc43e52..0000000
+++ /dev/null
@@ -1,155 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-irc/anope/anope-1.8.5.ebuild,v 1.1 2010/10/10 18:07:36 gurligebis Exp $
-
-EAPI="2"
-
-inherit eutils versionator
-
-MY_PV=$(replace_version_separator 3 '-')
-S="${WORKDIR}/${PN}-${MY_PV}"
-
-DESCRIPTION="Anope IRC Services"
-HOMEPAGE="http://www.anope.org"
-SRC_URI="mirror://sourceforge/${PN}/${PN}-${MY_PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="mysql"
-
-DEPEND="mysql? ( virtual/mysql )"
-
-INSTALL_DIR="/opt/anope"
-
-pkg_setup() {
-       enewgroup anope
-       enewuser anope -1 -1 "${INSTALL_DIR}" anope
-       if has_version net-irc/anope ; then
-               ewarn
-               ewarn "Make backups before updating as they will be overwritten"
-               ewarn
-               ebeep 10
-       fi
-}
-
-src_prepare() {
-       epatch "${FILESDIR}/pid-patch.diff"
-       epatch "${FILESDIR}/ldflags-fix.patch"
-}
-
-src_configure() {
-       local myconf
-       if ! use mysql; then
-               myconf="${myconf} --without-mysql"
-       fi
-
-       econf \
-               ${myconf} \
-               --bindir ${INSTALL_DIR} \
-               --with-bindir=${INSTALL_DIR} \
-               --with-datadir=${INSTALL_DIR}/data \
-               --with-modules=${INSTALL_DIR}/modules \
-               --with-encryption \
-               --with-rungroup=anope \
-               --with-permissions=077 \
-       || die "Configuration failed."
-
-       sed -i -e "/^build:/s:$: language:g" "${S}"/Makefile || die "sed failed"
-}
-
-src_install() {
-       dodir ${INSTALL_DIR}
-       dodir ${INSTALL_DIR}/data
-       dodir ${INSTALL_DIR}/data/logs
-       dodir ${INSTALL_DIR}/data/languages
-       dodir ${INSTALL_DIR}/data/modules
-       dodir ${INSTALL_DIR}/data/modules/runtime
-
-       dodir /var/run/anope
-       fowners anope:anope /var/run/anope
-       keepdir /var/run/anope
-
-       fowners anope:anope ${INSTALL_DIR}
-       fowners anope:anope ${INSTALL_DIR}/data
-       fowners anope:anope ${INSTALL_DIR}/data/logs
-       fowners anope:anope ${INSTALL_DIR}/data/languages
-       fowners anope:anope ${INSTALL_DIR}/data/modules
-       fowners anope:anope ${INSTALL_DIR}/data/modules/runtime
-
-       exeinto ${INSTALL_DIR}
-       doexe src/services
-       insinto ${INSTALL_DIR}/data
-       newins data/example.conf services.conf.example
-
-       newinitd "${FILESDIR}"/anope.initd anope
-       newconfd "${FILESDIR}"/anope.confd anope
-
-       insinto ${INSTALL_DIR}/data/modules
-       doins src/modules/*.so
-
-       keepdir ${INSTALL_DIR}/data/logs
-
-       insinto ${INSTALL_DIR}/data/languages
-       doins lang/cat
-       doins lang/de
-       doins lang/en_us
-       doins lang/es
-       doins lang/fr
-       doins lang/gr
-       doins lang/hun
-       doins lang/it
-       doins lang/nl
-       doins lang/pl
-       doins lang/pt
-       doins lang/ru
-       doins lang/tr
-
-       keepdir ${INSTALL_DIR}/data/modules/runtime
-
-       insinto ${INSTALL_DIR}/data/modules
-       doins src/protocol/*.so
-       doins src/core/*.so
-
-       fowners anope:anope ${INSTALL_DIR}/services
-       fowners anope:anope ${INSTALL_DIR}/data/languages/cat
-       fowners anope:anope ${INSTALL_DIR}/data/languages/de
-       fowners anope:anope ${INSTALL_DIR}/data/languages/en_us
-       fowners anope:anope ${INSTALL_DIR}/data/languages/fr
-       fowners anope:anope ${INSTALL_DIR}/data/languages/gr
-       fowners anope:anope ${INSTALL_DIR}/data/languages/hun
-       fowners anope:anope ${INSTALL_DIR}/data/languages/it
-       fowners anope:anope ${INSTALL_DIR}/data/languages/nl
-       fowners anope:anope ${INSTALL_DIR}/data/languages/pl
-       fowners anope:anope ${INSTALL_DIR}/data/languages/pt
-       fowners anope:anope ${INSTALL_DIR}/data/languages/ru
-       fowners anope:anope ${INSTALL_DIR}/data/languages/tr
-
-       dodoc Changes Changes.conf Changes.lang Changes.mysql docs/*
-
-       use mysql && dodoc data/tables.sql
-}
-
-pkg_preinst() {
-       if has_version net-irc/anope ; then
-               elog "Making a backup of your config to data/pre-update"
-               mkdir "${ROOT}"opt/anope/data/pre-update
-               cp "${ROOT}"opt/anope/data/* "${ROOT}"opt/anope/data/pre-update
-       fi
-}
-
-pkg_postinst() {
-       echo
-       ewarn "Anope won't run out of the box, you still have to configure it to match your IRCDs configuration."
-       ewarn "Edit ${INSTALL_DIR}/data/services.conf to configure Anope."
-       echo
-       ewarn "!!! ATTENTION !!!"
-       ewarn "Be sure to read Changes.mysql to update your MySQL"
-       ewarn "tables or anope will break after restart"
-       ewarn "!!! ATTENTION !!!"
-
-       if use mysql; then
-               einfo "The mysql script for updating the tables is located in the"
-               einfo "/usr/share/doc/${P} directory"
-       fi
-}
diff --git a/net-irc/anope/anope-1.8.7.ebuild b/net-irc/anope/anope-1.8.7.ebuild
new file mode 100644 (file)
index 0000000..fe37b08
--- /dev/null
@@ -0,0 +1,119 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-irc/anope/anope-1.8.7.ebuild,v 1.1 2011/12/28 20:25:48 gurligebis Exp $
+
+EAPI=4
+
+inherit autotools eutils multilib versionator
+
+DESCRIPTION="Anope IRC Services"
+HOMEPAGE="http://www.anope.org"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="mysql"
+
+DEPEND="mysql? ( virtual/mysql )"
+RDEPEND="${DEPEND}"
+
+pkg_pretend() {
+       local replaced_version
+       for replaced_version in ${REPLACING_VERSIONS} ; do
+               if ! version_is_at_least 1.8.7 ${replaced_version} && [[ -f ${ROOT}opt/anope/data/nick.db ]]; then
+                       eerror "It looks like you have an older version of Anope installed."
+                       eerror "To upgrade, shut down Anope and copy your databases to"
+                       eerror "${ROOT}var/lib/anope and your configuration to ${ROOT}etc/anope"
+                       eerror "You can do this by:"
+                       eerror "# mkdir -p ${ROOT}var/lib/anope ${ROOT}etc/anope"
+                       eerror "# chown anope:anope ${ROOT}var/lib/anope"
+                       eerror "# mv ${ROOT}opt/anope/data/*.db ${ROOT}var/lib/anope"
+                       eerror "# mv ${ROOT}opt/anope/data/services.conf ${ROOT}etc/anope"
+                       die "Please move your anope database files from /opt/anope/data"
+               fi
+       done
+}
+
+pkg_setup() {
+       enewgroup anope
+       enewuser anope -1 -1 -1 anope
+}
+
+src_prepare() {
+       epatch "${FILESDIR}/pid-patch.diff"
+       epatch "${FILESDIR}/${P}-ldflags-fix.patch"
+       epatch "${FILESDIR}/${P}-libdir-gentoo.patch"
+       eautoconf
+}
+
+src_configure() {
+       local myconf
+       if ! use mysql; then
+               myconf="${myconf} --without-mysql"
+       fi
+
+       econf \
+               ${myconf} \
+               --with-bindir=/usr/bin/ \
+               --with-datadir=/var/lib/anope \
+               --with-libdir=/usr/$(get_libdir)/anope/ \
+               --with-rungroup=anope \
+               --with-permissions=077
+
+       sed -i -e "/^build:/s:$: language:g" "${S}"/Makefile || die "sed failed"
+}
+
+src_install() {
+       keepdir /var/{lib,log,run}/anope
+       fowners anope:anope /var/{lib,log,run}/anope
+
+       local baselibdir
+       baselibdir="${D}/usr/$(get_libdir)/anope"
+
+       dodir /usr/$(get_libdir)/anope/{lang,modules}
+       emake DATDEST="${baselibdir}" \
+               BINDEST="${D}/usr/bin" \
+               MODULE_PATH="${baselibdir}/modules" \
+               install
+
+       newinitd "${FILESDIR}/anope-init.d" anope
+       newconfd "${FILESDIR}/anope-conf.d" anope
+
+       dodoc Changes Changes.conf Changes.lang Changes.mysql docs/* data/example.conf
+       use mysql && dodoc data/tables.sql
+
+       insinto /etc/anope
+       newins data/example.conf services.conf
+}
+
+pkg_preinst() {
+       if has_version net-irc/anope ; then
+               local directory
+               directory="${ROOT}"var/lib/anope/pre-update
+               elog "Making a backup of your databases to ${directory}"
+               if [ ! -d "${directory}" ]; then
+                       mkdir -p "${directory}" || die "failed to create backup directory"
+                       chown anope:anope "${directory}"/../ || die "failed to chown data directory"
+               fi
+               # don't die otherwise merge will fail if there are no existing databases
+               cp "${ROOT}"/var/lib/anope/*.db "${directory}"
+       fi
+}
+
+pkg_postinst() {
+       echo
+       ewarn "Anope won't run out of the box, you still have to configure it to match your IRCD's configuration."
+       ewarn "Edit /etc/anope/services.conf to configure Anope."
+
+       if use mysql; then
+               echo
+               ewarn "!!! ATTENTION !!!"
+               ewarn "Be sure to read Changes.mysql to update your MySQL"
+               ewarn "tables or anope will break after restart"
+               ewarn "!!! ATTENTION !!!"
+               echo
+               einfo "The mysql script for updating the tables is located in the"
+               einfo "/usr/share/doc/${PF} directory"
+       fi
+}
similarity index 80%
rename from net-irc/anope/files/ldflags-fix.patch
rename to net-irc/anope/files/anope-1.8.7-ldflags-fix.patch
index 21d0414a9ff98c10d548a427370846319fc62401..98500509693ba8a2dccf33e1e811f8ccc109f177 100644 (file)
@@ -34,3 +34,14 @@ diff -aurp a/src/protocol/Makefile b/src/protocol/Makefile
        @$(TOUCH) $*.s
  
  subs:
+--- a/src/tools/Makefile       2011-12-28 20:00:00.646427623 +0000
++++ b/src/tools/Makefile       2011-12-28 20:00:41.030430806 +0000
+@@ -10,7 +10,7 @@ MAKEARGS = 'CFLAGS=${CFLAGS}' 'CC=${CC}'
+          'RUNGROUP=${RUNGROUP}' 
+ .c.o:
+-      $(CC) $(CFLAGS) -I../include/ $< -o $*
++      $(CC) $(LDFLAGS) $(CFLAGS) -I../include/ $< -o $*
+ all: ${OBJS}
diff --git a/net-irc/anope/files/anope-1.8.7-libdir-gentoo.patch b/net-irc/anope/files/anope-1.8.7-libdir-gentoo.patch
new file mode 100644 (file)
index 0000000..7a86d0f
--- /dev/null
@@ -0,0 +1,91 @@
+--- configure.in
++++ configure.in
+@@ -286,6 +286,15 @@
+ ])
+ AC_SUBST(DATDEST)
++
++AC_ARG_WITH(libdir, [ --with-libdir=libdir   Specify the location of the services lib folder], [
++ AC_DEFINE_UNQUOTED(LIB_DIR,"$withval","services lib dir")
++ AC_DEFINE_UNQUOTED(MODULE_PATH,"${withval}/modules/","Module dir")
++ DATDEST=$withval
++ MODULE_PATH=${withval}/modules/
++])
++
++AC_SUBST(LIB_PATH)
+ AC_SUBST(MODULE_PATH)
+ AC_CONFIG_FILES(              \
+--- src/Makefile
++++ src/Makefile
+@@ -115,10 +115,6 @@
+       ln $(BINDEST)/services $(BINDEST)/listnicks
+       ln $(BINDEST)/services $(BINDEST)/listchans
+       (cd ../lang ; $(MAKE) install)
+-      $(CP) ../data/* $(DATDEST)
+-      $(INSTALL) bin/mydbgen $(DATDEST)/mydbgen
+-      test -d $(DATDEST)/backups || mkdir $(DATDEST)/backups
+-      test -d $(DATDEST)/logs || mkdir $(DATDEST)/logs
+       @if [ "$(MODULE_PATH)" ] ; then \
+               test -d ${MODULE_PATH} || mkdir ${MODULE_PATH} ; \
+               test -d ${MODULE_PATH}/runtime || mkdir ${MODULE_PATH}/runtime ; \
+--- include/sysconf.h.in
++++ include/sysconf.h.in
+@@ -96,6 +96,9 @@
+ /* "Module dir" */
+ #undef MODULE_PATH
++/* "Lib dir" */
++#undef LIB_DIR
++
+ /* "Has mysql/mysql.h" */
+ #undef MYSQL_HEADER_PREFIX
+--- include/config.h
++++ include/config.h
+@@ -22,10 +22,10 @@
+ /******* General configuration *******/
+ /* Name of configuration file (in Services directory) */
+-#define SERVICES_CONF "services.conf"
++#define SERVICES_CONF "/etc/anope/services.conf"
+ /* Name of log file (in Services directory) */
+-#define LOG_FILENAME  "services.log"
++#define LOG_FILENAME  "/var/log/anope/services.log"
+ /* Maximum amount of data from/to the network to buffer (bytes). */
+ #define NET_BUFSIZE   65536
+--- src/log.c
++++ src/log.c
+@@ -33,7 +33,7 @@
+     /* fix bug 577 */
+     strftime(timestamp, sizeof(timestamp), "%Y%m%d", tm);
+-    snprintf(name, count, "logs/%s.%s", log_filename, timestamp);
++    snprintf(name, count, "%s.%s", log_filename, timestamp);
+     curday = tm->tm_yday;
+     return 1;
+--- src/modules.c
++++ src/modules.c
+@@ -2846,7 +2846,7 @@
+ #ifndef _WIN32
+-    snprintf(dirbuf, BUFSIZE, "%s/modules/runtime", services_dir);
++    snprintf(dirbuf, BUFSIZE, "%s/modules/runtime", LIB_DIR);
+ #else
+     snprintf(dirbuf, BUFSIZE, "\\%s", "modules/runtime");
+ #endif
+--- src/language.c
++++ src/language.c
+@@ -71,7 +71,7 @@
+         alog("debug: Loading language %d from file `languages/%s'",
+              index, filename);
+     }
+-    snprintf(buf, sizeof(buf), "languages/%s", filename);
++    snprintf(buf, sizeof(buf), "%s/languages/%s", LIB_DIR, filename);
+ #ifndef _WIN32
+     if (!(f = fopen(buf, "r"))) {
+ #else
similarity index 52%
rename from net-irc/anope/files/anope.confd
rename to net-irc/anope/files/anope-conf.d
index 6985da7a52b0cf2b5112922c4cb8a7d811107b72..749dd3d160afffe3c500dcf23badff7fb941bd8d 100644 (file)
@@ -1,6 +1,6 @@
-# Copyright 1999-2005 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-irc/anope/files/anope.confd,v 1.1 2006/08/29 22:54:17 gurligebis Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-irc/anope/files/anope-conf.d,v 1.1 2011/12/28 20:25:48 gurligebis Exp $
 
 # user to run ultimate-ircd as
 ANOPE_USER="anope"
diff --git a/net-irc/anope/files/anope-init.d b/net-irc/anope/files/anope-init.d
new file mode 100644 (file)
index 0000000..a7a5296
--- /dev/null
@@ -0,0 +1,33 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-irc/anope/files/anope-init.d,v 1.1 2011/12/28 20:25:48 gurligebis Exp $
+
+extra_started_commands="reload"
+
+depend() {
+       use net mysql ircd
+       provide irc-services
+}
+
+start() {
+       ebegin "Starting Anope IRC Services"
+       start-stop-daemon --start --exec /usr/bin/services \
+               --user ${ANOPE_USER} --pidfile /var/run/anope/services.pid \
+               -- ${ANOPE_OPTS}
+       eend $?
+}
+
+stop() {
+       ebegin "Stopping Anope IRC Services"
+       start-stop-daemon --stop --pidfile /var/run/anope/services.pid
+       eend $?
+}
+
+reload() {
+       ebegin "Reloading Anope IRC Services"
+        start-stop-daemon --signal USR2 --exec /usr/bin/services \
+               --pidfile /var/run/anope/services.pid
+       eend $?
+}
+
diff --git a/net-irc/anope/files/anope.initd b/net-irc/anope/files/anope.initd
deleted file mode 100644 (file)
index 69eadfe..0000000
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-irc/anope/files/anope.initd,v 1.1 2006/08/29 22:54:17 gurligebis Exp $
-
-depend() {
-       use net mysql
-}
-
-start() {
-       ebegin "Starting Anope IRC Services"
-       start-stop-daemon --start --quiet --oknodo --exec /opt/anope/services \
-                --chuid ${ANOPE_USER} -- ${ANOPE_OPTS} #&>/dev/null
-       eend $?
-}
-
-stop() {
-       ebegin "Stopping Anope IRC Services"
-       start-stop-daemon --stop --pidfile /var/run/anope/services.pid
-       eend $?
-}